Description

I tried to enable libarchive by adding --enable-libarchive when calling configure.

During the process, it prints on the console:

checking for libarchive... no

configure: error: Package requirements (libarchive) were not met:

Package 'iconv', required by 'libarchive', not found

 

Into the macro PKG_CHECK_MODULES() provided by aclocal, _PKG_CONFIG() is also used for testing the dependecies into

*_LIBS.

Evidently, libarchive depends also on libiconv here.

But GNU Iconv does not provide a script for pkgconfig.

Both the latest version 1.17 of Libiconv and its development sources at Savannah have not it.

At the moment, I bypassed the problem by writing by hand an iconv.pc file, which allowed me to complete the configuration and

make a successful build.

I tested this behaviour with the latest development sources of Audacious after release of version 4.3.

The build platforms are MinGW and CYGWIN.

History

#1 - March 15, 2023 16:56 - John Lindgren

This seems like a libarchive packaging issue; do you have reason to believe otherwise?

#2 - March 16, 2023 14:01 - Carlo Bramini

John Lindgren wrote:

This seems like a libarchive packaging issue; do you have reason to believe otherwise?

 

This is the content of libiconv provided by Arch Linux, just click the link inside the "Package Contents" section to open the drop-down list:

https://archlinux.org/packages/community/x86_64/libiconv/

and there is not a iconv.pc file to be used with pkg-config.

However, this issue seems to be related only to autotools configure, since Meson detects both libarchive and iconv correctly.
https://archlinux.org/packages/community/x86_64/libiconv/


#3 - March 18, 2023 02:51 - John Lindgren

- Status changed from New to Rejected

Carlo Bramini wrote:

and there is not a iconv.pc file to be used with pkg-config.

 

Right, so it is wrong for libarchive to declare (via pkg-config) a dependency on iconv.

See https://github.com/libarchive/libarchive/issues/1819.

Arch Linux patches out the iconv dependency from its libarchive package, for what it's worth:

https://github.com/archlinux/svntogit-packages/blob/8609f0893f709461260da7f92dbcdd21ec85e287/trunk/PKGBUILD#L41

Closing since this is a libarchive issue.

Powered by TCPDF (www.tcpdf.org)

July 03, 2025 2/2

https://github.com/libarchive/libarchive/issues/1819
https://github.com/archlinux/svntogit-packages/blob/8609f0893f709461260da7f92dbcdd21ec85e287/trunk/PKGBUILD#L41
http://www.tcpdf.org

